Subject: [Patch Part2 v4 00/31] Enable hierarchy irqdomian on x86 platforms

From: [email-masked] (Joerg Roedel)
Date: Thu, 6 Nov 2014 14:07:53 +0100

On Tue, Nov 04, 2014 at 08:01:34PM +0800, Jiang Liu wrote:
> Patch 1-5 enhance irqdomain and irq core to support hierarchy irqdomain
> and stacked irqchip.
> Patch 6-12 implement an irqdomain to manange CPU interrupt vectors, and
> it's the root irqdomain for x86 platforms.
> Patch 13-16 converts Intel and AMD interrupt remapping drivers to
> support hierarchy irqdomain.
> Patch 17-23 converts HPET and MSI to support hierarchy irqdomain.
> Patch 24-27 cleans up unsued code in x86 arch and interrupt remapping
> drivers.
> Patch 28-31 converts DMAR, HTIRQ and UV to support hierarchy irqdomain.

Okay, I looked over the IOMMU changes and did some testing. With Jiangs
fix for the AMD Kaveri boot panic it looks good to me. So for the IOMMU
parts:

Acked-by: Joerg Roedel <[email-masked]>